1.7.1 release date?

Charles Wilson cygwin@cwilson.fastmail.fm
Tue Dec 8 18:19:00 GMT 2009


cgf wrote:
> And, I already have a populated release-legacy ready to go.

and Corinna wrote:
> The upgrade from 1.5 to 1.7 is too big to go along
> without users having to take notice.  They have to adapt consciously
> and they have to read and perhaps even understand the new User's Guide.

So, this (1):

release-legacy/   <--> [setup.ini AND     <-->  setup-legacy.exe
                        setup-legacy.ini]
release/          <-->  setup-2.ini       <-->  setup.exe



not this (2):


release-legacy/   <-->  setup-legacy.ini    <-->  setup-legacy.exe
release/          <-->  setup.ini           <-->  setup.exe
                             ^----- oh noes!

? Obviously, I like my proposals better, but (1) will protect legacy
users from unintended consequences, so I'm fine with that. This whole
subthread started because I, and maybe others, were worried about (2),
and what it would do to those poor schmucks.

(1) requires some patching to the legacy branch of setup; I'm not sure
what cgf has done there. I'll take a look at cvs after my upcoming
mtg...gotta run.

--
Chuck



More information about the Cygwin-developers mailing list